org.apache.ode.utils.cli

## Class BaseCommandlineTool

- java.lang.Object
- - org.apache.ode.utils.cli.BaseCommandlineTool

- Direct Known Subclasses:
    BpelC, HttpSoapSender

      public abstract class BaseCommandlineTool
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EFFUSIVE`
    `protected static Fragments` | `HELP`
    `protected static Flag` | `HELP_FLAG`
    `protected static XorGroup` | `LOGGING`
    `protected static Flag` | `QUIET_F`
    `static int` | `TERSE`
    `static int` | `VERBOSE`
    `protected static Flag` | `VERBOSE_F`
    `protected static Flag` | `VERYVERBOSE_F`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseCommandlineTool()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `consoleErr(java.lang.String errMsg)`
    `protected static java.lang.String` | `getProgramName()`
    `protected static void` | `initLogFile()`
    `protected static void` | `initLogFile(int level)`
    `protected static void` | `initLogging()`
    `protected static void` | `initLogging(int level)` Initialize logging appropriate for command-line utilities.
    `static void` | `outputHeader()` Print program banner.
    `protected static void` | `registerTempFileManager()`
    `protected static void` | `setClazz(java.lang.Class c)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TERSE

          public static final int TERSE

      See Also:
        Constant Field Values

    - #### VERBOSE

          public static final int VERBOSE

      See Also:
        Constant Field Values

    - #### EFFUSIVE

          public static final int EFFUSIVE

      See Also:
        Constant Field Values

    - #### HELP_FLAG

          protected static final Flag HELP_FLAG

    - #### HELP

          protected static final Fragments HELP

    - #### QUIET_F

          protected static final Flag QUIET_F

    - #### VERBOSE_F

          protected static final Flag VERBOSE_F

    - #### VERYVERBOSE_F

          protected static final Flag VERYVERBOSE_F

    - #### LOGGING

          protected static final XorGroup LOGGING

  - ### Constructor Detail

    - #### BaseCommandlineTool

          public BaseCommandlineTool()

  - ### Method Detail

    - #### outputHeader

          public static void outputHeader()

      Print program banner.

    - #### initLogging

          protected static void initLogging(int level)

      Initialize logging appropriate for command-line utilities. The logging will be limited to error messages on standard error, unless user-specified logging options are present. Among other things, this method looks for the `-v` option and configures logging verbosity appropriately
      Parameters:
        `level` -

    - #### initLogFile

          protected static void initLogFile()
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### initLogFile

          protected static void initLogFile(int level)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### setClazz

          protected static void setClazz(java.lang.Class c)

    - #### getProgramName

          protected static java.lang.String getProgramName()

    - #### initLogging

          protected static void initLogging()

    - #### registerTempFileManager

          protected static final void registerTempFileManager()

    - #### consoleErr

          protected static void consoleErr(java.lang.String errMsg)